Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.compiler.web
[Java] Class ControllerTransformer

    java.lang.Object
      org.codehaus.groovy.grails.compiler.injection.AbstractGrailsArtefactTransformer
          org.codehaus.groovy.grails.compiler.web.ControllerTransformer

    @AstTransformer
    public class ControllerTransformer
    extends AbstractGrailsArtefactTransformer

Enhances controller classes with the appropriate API at compile time.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.util.regex.Pattern` | `CONTROLLER_PATTERN`

Fields inherited from class AbstractGrailsArtefactTransformer
CURRENT_PREFIX, METHOD_MISSING_METHOD_NAME, OBJECT_CLASS, PUBLIC_STATIC_MODIFIER, STATIC_METHOD_MISSING_METHOD_NAME

Method Summary
`protected java.lang.String` | `getArtefactType()`
`java.lang.Class` | `getInstanceImplementation()`
`protected org.codehaus.groovy.ast.AnnotationNode` | `getMarkerAnnotation()`
`java.lang.Class` | `getStaticImplementation()`
`protected boolean` | `isControllerClassNode(org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
`void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
`protected void` | `performInjectionInternal(java.lang.String apiInstanceProperty, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
`boolean` | `shouldInject(java.net.URL url)`

Methods inherited from class AbstractGrailsArtefactTransformer
addApiLookupFieldAndSetter, addDelegateInstanceMethod, addDelegateStaticMethod, addEnhancedAnnotation, compareTo, getArtefactType, getArtefactTypes, getInstanceImplementation, getMarkerAnnotation, getStaticImplementation, hasArtefactAnnotation, isCandidateInstanceMethod, isStaticCandidateMethod, isStaticMethodExcluded, isStaticMethodIncluded, isValidArtefactType, isValidTargetClassNode, performInjection, performInjection, performInjectionInternal, performInjectionOnAnnotatedClass, performInjectionOnAnnotatedClass, performInstanceImplementationInjection, performStaticImplementationInjection, populateAutowiredApiLookupMethod, populateDefaultApiLookupMethod, requiresAutowiring, requiresStaticLookupMethod, resolveGenericsPlaceHolders, shouldSkipInjection

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONTROLLER_PATTERN

    public static java.util.regex.Pattern CONTROLLER_PATTERN

Method Detail

### getArtefactType

    @java.lang.Overrideprotected String getArtefactType() {
    protected java.lang.String getArtefactType()

### getInstanceImplementation

    @java.lang.Override
    public java.lang.Class getInstanceImplementation()

### getMarkerAnnotation

    @java.lang.Overrideprotected AnnotationNode getMarkerAnnotation() {
    protected org.codehaus.groovy.ast.AnnotationNode getMarkerAnnotation()

### getStaticImplementation

    @java.lang.Override
    public java.lang.Class getStaticImplementation()

### isControllerClassNode

    protected boolean isControllerClassNode(org.codehaus.groovy.ast.ClassNode classNode)

### performInjection

    @java.lang.Overridepublic void performInjection(SourceUnit source, GeneratorContext context, ClassNode classNode) {
    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

### performInjection

    @java.lang.Overridepublic void performInjection(SourceUnit source, ClassNode classNode) {
    public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

### performInjectionInternal

    @java.lang.Overrideprotected void performInjectionInternal(String apiInstanceProperty,
    protected void performInjectionInternal(java.lang.String apiInstanceProperty, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

### shouldInject

    public boolean shouldInject(java.net.URL url)

Groovy Documentation